camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (CAMEL-2608) Restore the old camel-http as Apache Http Client 4.0.1 does not cover same feature set as 3.1
Date Mon, 19 Apr 2010 06:36:11 GMT

     [ https://issues.apache.org/activemq/browse/CAMEL-2608?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Claus Ibsen resolved CAMEL-2608.
--------------------------------

    Resolution: Fixed

> Restore the old camel-http as Apache Http Client 4.0.1 does not cover same feature set
as 3.1
> ---------------------------------------------------------------------------------------------
>
>                 Key: CAMEL-2608
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-2608
>             Project: Apache Camel
>          Issue Type: Task
>          Components: camel-http
>            Reporter: Claus Ibsen
>            Assignee: Claus Ibsen
>             Fix For: 2.3.0
>
>
> For example some options to setup auth and proxies are missing in 4.0.1 which was avail
in 3.1. They seems to be added in 4.1. But 4.1 is on a long release as its alpha2 currently.
> And to also allow a slowly migration path for existing Camel users we should let camel-http
be using http client 3.1.
> - camel-http -> camel-http4 (component should be named http4)
> - restore old camel-http
> - camel-jetty should use http4 for testing and it should extend camel-http4 as its code
base have been adjusted as well

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message